Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.engine
Class FilterDef

    java.lang.Object
      org.hibernate.search.engine.FilterDef

    public class FilterDef

extends java.lang.Object

A wrapper class which encapsulates all required information to create a defined filter.

Author:
  Emmanuel Bernard

Constructor Summary
`FilterDef(FullTextFilterDef def)`

Method Summary
`void` | `addSetter(java.lang.String name, java.lang.reflect.Method method)`
`FilterCacheModeType` | `getCacheMode()`
`java.lang.reflect.Method` | `getFactoryMethod()`
`java.lang.Class<?>` | `getImpl()`
`java.lang.reflect.Method` | `getKeyMethod()`
`java.lang.String` | `getName()`
`void` | `invoke(java.lang.String parameterName, java.lang.Object filter, java.lang.Object parameterValue)`
`void` | `setFactoryMethod(java.lang.reflect.Method factoryMethod)`
`void` | `setKeyMethod(java.lang.reflect.Method keyMethod)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterDef

    public FilterDef(FullTextFilterDef def)

Method Detail

### getName

    public java.lang.String getName()

### getCacheMode

    public FilterCacheModeType getCacheMode()

### getImpl

    public java.lang.Class<?> getImpl()

### getFactoryMethod

    public java.lang.reflect.Method getFactoryMethod()

### setFactoryMethod

    public void setFactoryMethod(java.lang.reflect.Method factoryMethod)

### getKeyMethod

    public java.lang.reflect.Method getKeyMethod()

### setKeyMethod

    public void setKeyMethod(java.lang.reflect.Method keyMethod)

### addSetter

    public void addSetter(java.lang.String name,
                          java.lang.reflect.Method method)

### invoke

    public void invoke(java.lang.String parameterName,
                       java.lang.Object filter,
                       java.lang.Object parameterValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.